opensaml-3.0.1

Public Member Functions | List of all members
opensaml::SignatureProfileValidator Class Reference

SAML-specific signature profile validator. More...

`#include <saml/signature/SignatureProfileValidator.h>`

Inheritance diagram for opensaml::SignatureProfileValidator:
[legend]
Collaboration diagram for opensaml::SignatureProfileValidator:
[legend]

## Public Member Functions
void | validate (const xmltooling::XMLObject *xmlObject) const
void | validateSignature (const xmlsignature::Signature &signature) const
| Type-safe validation method. More...

## Detailed Description

SAML-specific signature profile validator.

## Member Function Documentation

## ◆ validateSignature()

void opensaml::SignatureProfileValidator::validateSignature | ( | const xmlsignature::Signature & | signature | ) | const

Type-safe validation method.

Parameters

  signature | Signature to validate

The documentation for this class was generated from the following file:

- saml/signature/SignatureProfileValidator.h